| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
pfm_pebs_p4_smpl_entry_t Struct Reference

`#include <src/component/perfmon/perfmon_pebs_p4_smpl.h>`

## Public Attributes
unsigned long | eflags
unsigned long | ip
unsigned long | eax
unsigned long | ebx
unsigned long | ecx
unsigned long | edx
unsigned long | esi
unsigned long | edi
unsigned long | ebp
unsigned long | esp
uint64_t | eflags
uint64_t | ip
uint64_t | eax
uint64_t | ebx
uint64_t | ecx
uint64_t | edx
uint64_t | esi
uint64_t | edi
uint64_t | ebp
uint64_t | esp
uint64_t | r8
uint64_t | r9
uint64_t | r10
uint64_t | r11
uint64_t | r12
uint64_t | r13
uint64_t | r14
uint64_t | r15

## Detailed Description

Definition at line 136 of file perfmon_pebs_p4_smpl.h.

## Member Data Documentation

unsigned long pfm_pebs_p4_smpl_entry_t::eax

Definition at line 139 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::eax

Definition at line 142 of file perfmon_pebs_smpl.h.

unsigned long pfm_pebs_p4_smpl_entry_t::ebp

Definition at line 145 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::ebp

Definition at line 148 of file perfmon_pebs_smpl.h.

unsigned long pfm_pebs_p4_smpl_entry_t::ebx

Definition at line 140 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::ebx

Definition at line 143 of file perfmon_pebs_smpl.h.

unsigned long pfm_pebs_p4_smpl_entry_t::ecx

Definition at line 141 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::ecx

Definition at line 144 of file perfmon_pebs_smpl.h.

unsigned long pfm_pebs_p4_smpl_entry_t::edi

Definition at line 144 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::edi

Definition at line 147 of file perfmon_pebs_smpl.h.

unsigned long pfm_pebs_p4_smpl_entry_t::edx

Definition at line 142 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::edx

Definition at line 145 of file perfmon_pebs_smpl.h.

unsigned long pfm_pebs_p4_smpl_entry_t::eflags

Definition at line 137 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::eflags

Definition at line 140 of file perfmon_pebs_smpl.h.

unsigned long pfm_pebs_p4_smpl_entry_t::esi

Definition at line 143 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::esi

Definition at line 146 of file perfmon_pebs_smpl.h.

unsigned long pfm_pebs_p4_smpl_entry_t::esp

Definition at line 146 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::esp

Definition at line 149 of file perfmon_pebs_smpl.h.

unsigned long pfm_pebs_p4_smpl_entry_t::ip

Definition at line 138 of file perfmon_pebs_p4_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::ip

Definition at line 141 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::r10

Definition at line 152 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::r11

Definition at line 153 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::r12

Definition at line 154 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::r13

Definition at line 155 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::r14

Definition at line 156 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::r15

Definition at line 157 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::r8

Definition at line 150 of file perfmon_pebs_smpl.h.

uint64_t pfm_pebs_p4_smpl_entry_t::r9

Definition at line 151 of file perfmon_pebs_smpl.h.

The documentation for this struct was generated from the following files:

- GaudiProfiling/src/component/perfmon/perfmon_pebs_p4_smpl.h
- GaudiProfiling/src/component/perfmon/perfmon_pebs_smpl.h